package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-02-26
 * @description : 客服消息房间
 */
@Data
public class KfMsgRoomVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 玩家open_id
     */
    @ApiModelProperty(notes = "玩家open_id")
    private String openId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private String gameId;

    /**
     * 客服id
     */
    @ApiModelProperty(notes = "客服id")
    private Long kfUserId;

    /**
     * 房间在线状态
     */
    @ApiModelProperty(notes = "房间在线状态")
    private Boolean online;

    /**
     * 最后一条消息
     */
    @ApiModelProperty(notes = "最后一条消息")
    private String lastMsg;

    /**
     * 最后一条消息时间
     */
    @ApiModelProperty(notes = "最后一条消息时间")
    private LocalDateTime lastMsgTime;
}
