package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-02-26
 * @description : 待接入玩家
 */
@Data
public class KfMsgWaitUserVO {

    /**
     * 玩家openId
     */
    @ApiModelProperty(notes = "玩家openId")
    private String openId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 最近角色id
     */
    @ApiModelProperty(notes = "最近角色id")
    private String lastRoleId;

    /**
     * 最近角色名称
     */
    @ApiModelProperty(notes = "最近角色名称")
    private String lastRoleName;

    /**
     * 最后一条消息
     */
    @ApiModelProperty(notes = "最后一条消息")
    private String lastMsg;

    /**
     * 最后一条消息时间
     */
    @ApiModelProperty(notes = "最后一条消息时间")
    private LocalDateTime lastMsgTime;

    /**
     * 开始等待时间
     */
    @ApiModelProperty(notes = "开始等待时间")
    private LocalDateTime waitStartTime;

}
