package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.KfWebSocketMsgDTO;
import com.zanxiang.game.module.mybatis.entity.KfRoom;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : 客服聊天房间
 */
public interface IKfRoomService extends IService<KfRoom> {

    /**
     * 客服获取游戏列表
     *
     * @return : 返回游戏列表
     */
    List<KfWebSocketMsgDTO.GameBean> getKfGameList();

    /**
     * 待接入房间列表
     *
     * @return : 返回待接入房间列表
     */
    List<KfWebSocketMsgDTO.RoomBean> getOnlineRoomList();
}
